# -*- encoding: utf-8 -*-
# stub: rack-oauth2 1.21.3 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-oauth2".freeze
  s.version = "1.21.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["nov matake".freeze]
  s.date = "2022-09-14"
  s.description = "OAuth 2.0 Server & Client Library. Both Bearer and MAC token type are supported.".freeze
  s.email = "nov@matake.jp".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "README.rdoc".freeze]
  s.files = [".document".freeze, ".github/FUNDING.yml".freeze, ".github/workflows/spec.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "VERSION".freeze, "lib/rack/oauth2.rb".freeze, "lib/rack/oauth2/access_token.rb".freeze, "lib/rack/oauth2/access_token/authenticator.rb".freeze, "lib/rack/oauth2/access_token/bearer.rb".freeze, "lib/rack/oauth2/access_token/legacy.rb".freeze, "lib/rack/oauth2/access_token/mac.rb".freeze, "lib/rack/oauth2/access_token/mac/sha256_hex_verifier.rb".freeze, "lib/rack/oauth2/access_token/mac/signature.rb".freeze, "lib/rack/oauth2/access_token/mac/verifier.rb".freeze, "lib/rack/oauth2/access_token/mtls.rb".freeze, "lib/rack/oauth2/client.rb".freeze, "lib/rack/oauth2/client/error.rb".freeze, "lib/rack/oauth2/client/grant.rb".freeze, "lib/rack/oauth2/client/grant/authorization_code.rb".freeze, "lib/rack/oauth2/client/grant/client_credentials.rb".freeze, "lib/rack/oauth2/client/grant/jwt_bearer.rb".freeze, "lib/rack/oauth2/client/grant/password.rb".freeze, "lib/rack/oauth2/client/grant/refresh_token.rb".freeze, "lib/rack/oauth2/client/grant/saml2_bearer.rb".freeze, "lib/rack/oauth2/client/grant/token_exchange.rb".freeze, "lib/rack/oauth2/debugger.rb".freeze, "lib/rack/oauth2/debugger/request_filter.rb".freeze, "lib/rack/oauth2/server.rb".freeze, "lib/rack/oauth2/server/abstract.rb".freeze, "lib/rack/oauth2/server/abstract/error.rb".freeze, "lib/rack/oauth2/server/abstract/handler.rb".freeze, "lib/rack/oauth2/server/abstract/request.rb".freeze, "lib/rack/oauth2/server/abstract/response.rb".freeze, "lib/rack/oauth2/server/authorize.rb".freeze, "lib/rack/oauth2/server/authorize/code.rb".freeze, "lib/rack/oauth2/server/authorize/error.rb".freeze, "lib/rack/oauth2/server/authorize/extension.rb".freeze, "lib/rack/oauth2/server/authorize/extension/code_and_token.rb".freeze, "lib/rack/oauth2/server/authorize/token.rb".freeze, "lib/rack/oauth2/server/extension.rb".freeze, "lib/rack/oauth2/server/extension/pkce.rb".freeze, "lib/rack/oauth2/server/extension/response_mode.rb".freeze, "lib/rack/oauth2/server/rails.rb".freeze, "lib/rack/oauth2/server/rails/authorize.rb".freeze, "lib/rack/oauth2/server/rails/response_ext.rb".freeze, "lib/rack/oauth2/server/resource.rb".freeze, "lib/rack/oauth2/server/resource/bearer.rb".freeze, "lib/rack/oauth2/server/resource/bearer/error.rb".freeze, "lib/rack/oauth2/server/resource/error.rb".freeze, "lib/rack/oauth2/server/resource/mac.rb".freeze, "lib/rack/oauth2/server/resource/mac/error.rb".freeze, "lib/rack/oauth2/server/token.rb".freeze, "lib/rack/oauth2/server/token/authorization_code.rb".freeze, "lib/rack/oauth2/server/token/client_credentials.rb".freeze, "lib/rack/oauth2/server/token/error.rb".freeze, "lib/rack/oauth2/server/token/extension.rb".freeze, "lib/rack/oauth2/server/token/extension/example.rb".freeze, "lib/rack/oauth2/server/token/jwt_bearer.rb".freeze, "lib/rack/oauth2/server/token/password.rb".freeze, "lib/rack/oauth2/server/token/refresh_token.rb".freeze, "lib/rack/oauth2/server/token/saml2_bearer.rb".freeze, "lib/rack/oauth2/urn.rb".freeze, "lib/rack/oauth2/util.rb".freeze, "rack-oauth2.gemspec".freeze, "spec/helpers/time.rb".freeze, "spec/helpers/webmock_helper.rb".freeze, "spec/mock_response/blank".freeze, "spec/mock_response/errors/invalid_request.json".freeze, "spec/mock_response/resources/fake.txt".freeze, "spec/mock_response/tokens/_Bearer.json".freeze, "spec/mock_response/tokens/bearer.json".freeze, "spec/mock_response/tokens/legacy.json".freeze, "spec/mock_response/tokens/legacy.txt".freeze, "spec/mock_response/tokens/legacy_without_expires_in.txt".freeze, "spec/mock_response/tokens/mac.json".freeze, "spec/mock_response/tokens/unknown.json".freeze, "spec/rack/oauth2/access_token/authenticator_spec.rb".freeze, "spec/rack/oauth2/access_token/bearer_spec.rb".freeze, "spec/rack/oauth2/access_token/legacy_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/sha256_hex_verifier_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/signature_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/verifier_spec.rb".freeze, "spec/rack/oauth2/access_token/mac_spec.rb".freeze, "spec/rack/oauth2/access_token_spec.rb".freeze, "spec/rack/oauth2/client/error_spec.rb".freeze, "spec/rack/oauth2/client/grant/authorization_code_spec.rb".freeze, "spec/rack/oauth2/client/grant/client_credentials_spec.rb".freeze, "spec/rack/oauth2/client/grant/jwt_bearer_spec.rb".freeze, "spec/rack/oauth2/client/grant/password_spec.rb".freeze, "spec/rack/oauth2/client/grant/refresh_token_spec.rb".freeze, "spec/rack/oauth2/client/grant/saml2_bearer_spec.rb".freeze, "spec/rack/oauth2/client_spec.rb".freeze, "spec/rack/oauth2/debugger/request_filter_spec.rb".freeze, "spec/rack/oauth2/oauth2_spec.rb".freeze, "spec/rack/oauth2/server/abstract/error_spec.rb".freeze, "spec/rack/oauth2/server/authorize/code_spec.rb".freeze, "spec/rack/oauth2/server/authorize/error_spec.rb".freeze, "spec/rack/oauth2/server/authorize/extensions/code_and_token_spec.rb".freeze, "spec/rack/oauth2/server/authorize/token_spec.rb".freeze, "spec/rack/oauth2/server/authorize_spec.rb".freeze, "spec/rack/oauth2/server/extension/pkce_spec.rb".freeze, "spec/rack/oauth2/server/extension/response_mode_spec.rb".freeze, "spec/rack/oauth2/server/resource/bearer/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/bearer_spec.rb".freeze, "spec/rack/oauth2/server/resource/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/mac/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/mac_spec.rb".freeze, "spec/rack/oauth2/server/resource_spec.rb".freeze, "spec/rack/oauth2/server/token/authorization_code_spec.rb".freeze, "spec/rack/oauth2/server/token/client_credentials_spec.rb".freeze, "spec/rack/oauth2/server/token/error_spec.rb".freeze, "spec/rack/oauth2/server/token/jwt_bearer_spec.rb".freeze, "spec/rack/oauth2/server/token/password_spec.rb".freeze, "spec/rack/oauth2/server/token/refresh_token_spec.rb".freeze, "spec/rack/oauth2/server/token/saml2_bearer_spec.rb".freeze, "spec/rack/oauth2/server/token_spec.rb".freeze, "spec/rack/oauth2/util_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/nov/rack-oauth2".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "OAuth 2.0 Server & Client Library - Both Bearer and MAC token type are supported".freeze
  s.test_files = ["spec/helpers/time.rb".freeze, "spec/helpers/webmock_helper.rb".freeze, "spec/mock_response/blank".freeze, "spec/mock_response/errors/invalid_request.json".freeze, "spec/mock_response/resources/fake.txt".freeze, "spec/mock_response/tokens/_Bearer.json".freeze, "spec/mock_response/tokens/bearer.json".freeze, "spec/mock_response/tokens/legacy.json".freeze, "spec/mock_response/tokens/legacy.txt".freeze, "spec/mock_response/tokens/legacy_without_expires_in.txt".freeze, "spec/mock_response/tokens/mac.json".freeze, "spec/mock_response/tokens/unknown.json".freeze, "spec/rack/oauth2/access_token/authenticator_spec.rb".freeze, "spec/rack/oauth2/access_token/bearer_spec.rb".freeze, "spec/rack/oauth2/access_token/legacy_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/sha256_hex_verifier_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/signature_spec.rb".freeze, "spec/rack/oauth2/access_token/mac/verifier_spec.rb".freeze, "spec/rack/oauth2/access_token/mac_spec.rb".freeze, "spec/rack/oauth2/access_token_spec.rb".freeze, "spec/rack/oauth2/client/error_spec.rb".freeze, "spec/rack/oauth2/client/grant/authorization_code_spec.rb".freeze, "spec/rack/oauth2/client/grant/client_credentials_spec.rb".freeze, "spec/rack/oauth2/client/grant/jwt_bearer_spec.rb".freeze, "spec/rack/oauth2/client/grant/password_spec.rb".freeze, "spec/rack/oauth2/client/grant/refresh_token_spec.rb".freeze, "spec/rack/oauth2/client/grant/saml2_bearer_spec.rb".freeze, "spec/rack/oauth2/client_spec.rb".freeze, "spec/rack/oauth2/debugger/request_filter_spec.rb".freeze, "spec/rack/oauth2/oauth2_spec.rb".freeze, "spec/rack/oauth2/server/abstract/error_spec.rb".freeze, "spec/rack/oauth2/server/authorize/code_spec.rb".freeze, "spec/rack/oauth2/server/authorize/error_spec.rb".freeze, "spec/rack/oauth2/server/authorize/extensions/code_and_token_spec.rb".freeze, "spec/rack/oauth2/server/authorize/token_spec.rb".freeze, "spec/rack/oauth2/server/authorize_spec.rb".freeze, "spec/rack/oauth2/server/extension/pkce_spec.rb".freeze, "spec/rack/oauth2/server/extension/response_mode_spec.rb".freeze, "spec/rack/oauth2/server/resource/bearer/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/bearer_spec.rb".freeze, "spec/rack/oauth2/server/resource/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/mac/error_spec.rb".freeze, "spec/rack/oauth2/server/resource/mac_spec.rb".freeze, "spec/rack/oauth2/server/resource_spec.rb".freeze, "spec/rack/oauth2/server/token/authorization_code_spec.rb".freeze, "spec/rack/oauth2/server/token/client_credentials_spec.rb".freeze, "spec/rack/oauth2/server/token/error_spec.rb".freeze, "spec/rack/oauth2/server/token/jwt_bearer_spec.rb".freeze, "spec/rack/oauth2/server/token/password_spec.rb".freeze, "spec/rack/oauth2/server/token/refresh_token_spec.rb".freeze, "spec/rack/oauth2/server/token/saml2_bearer_spec.rb".freeze, "spec/rack/oauth2/server/token_spec.rb".freeze, "spec/rack/oauth2/util_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<rack>.freeze, [">= 2.1.0"])
  s.add_runtime_dependency(%q<httpclient>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<attr_required>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<json-jwt>.freeze, [">= 1.11.0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  s.add_development_dependency(%q<rspec-its>.freeze, [">= 0"])
  s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
  s.add_development_dependency(%q<rexml>.freeze, [">= 0"])
end

